# ``twisted`.`python`.`fakepwd`.`_ShadowRecord``

class documentation

`class _ShadowRecord: (source)`

View In Hierarchy

`_ShadowRecord` holds the shadow user data for a single user in `ShadowDatabase`. It corresponds to `spwd.struct_spwd`. See that class for attribute documentation.

Method | `__getitem__` | Undocumented
Method | `__init__` | Undocumented
Method | `__len__` | Undocumented
Instance Variable | `sp_expire` | Undocumented
Instance Variable | `sp_flag` | Undocumented
Instance Variable | `sp_inact` | Undocumented
Instance Variable | `sp_lstchg` | Undocumented
Instance Variable | `sp_max` | Undocumented
Instance Variable | `sp_min` | Undocumented
Instance Variable | `sp_nam` | Undocumented
Instance Variable | `sp_pwd` | Undocumented
Instance Variable | `sp_warn` | Undocumented

def __getitem__(self, index): (source)

Undocumented

def __init__(self, username, password, lastChange, min, max, warn, inact, expire, flag): (source)

Undocumented

Parameters
username:`str` | Undocumented
password:`str` | Undocumented
lastChange:`int` | Undocumented
min:`int` | Undocumented
max:`int` | Undocumented
warn:`int` | Undocumented
inact:`int` | Undocumented
expire:`int` | Undocumented
flag:`int` | Undocumented

def __len__(self): (source)

Undocumented

Returns
`int` | Undocumented

sp_expire = (source)

Undocumented

sp_flag = (source)

Undocumented

sp_inact = (source)

Undocumented

sp_lstchg = (source)

Undocumented

sp_max = (source)

Undocumented

sp_min = (source)

Undocumented

sp_nam = (source)

Undocumented

sp_pwd = (source)

Undocumented

sp_warn = (source)

Undocumented